Foxit PDF SDK

Instance Methods | Properties | List of all members
FSSOAPRequestProperties Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithRequest_properties:
| Constructor, with another SOAP request properties object. More...
(void) | - set:request_content:soap_action:soap_namespace:soap_version:content_type:is_encode:is_wiredump:request_header:authenticate:
| Set values. More...

## Properties
FSSOAPAuthenticateInfo * | authenticate
| An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.
NSString * | content_type
| Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
BOOL | is_encode
| Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
BOOL | is_wiredump
| Whether to output debug information for SOAP requests and responses, defaults to true.
NSString * | request_content
| An object that specifies the remote procedure name and parameters or the XML message to send.
NSString * | request_header
| An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.
NSString * | request_url
| The URL for a SOAP HTTP endpoint.
NSString * | soap_action
| The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
NSString * | soap_namespace
| A namespace for the message schema when the request does not use the SOAP Encoding. More...
NSString * | soap_version
| The version of the SOAP protocol to use when generating the XML Message.

## Detailed Description

This class represents SOAP request properties.

## Method Documentation

## ◆ initWithRequest_properties:()

- (id) initWithRequest_properties: |  | (FSSOAPRequestProperties*) | request_properties |

Constructor, with another SOAP request properties object.

Parameters

  [in] | request_properties | Another SOAP request properties object.

## ◆ set:request_content:soap_action:soap_namespace:soap_version:content_type:is_encode:is_wiredump:request_header:authenticate:()

- (void) set: |  | (NSString *) | request_url
request_content: |  | (NSString *) | request_content
soap_action: |  | (NSString *) | soap_action
soap_namespace: |  | (NSString *) | soap_namespace
soap_version: |  | (NSString *) | soap_version
content_type: |  | (NSString *) | content_type
is_encode: |  | (BOOL) | is_encode
is_wiredump: |  | (BOOL) | is_wiredump
request_header: |  | (NSString *) | request_header
authenticate: |  | (FSSOAPAuthenticateInfo*) | authenticate

Set values.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

## Property Documentation

## ◆ soap_namespace

- (NSString *) soap_namespace
| read write nonatomic weak

A namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.